Package org.apache.jasper.compiler

## Class SmapInput

- java.lang.Object
- - org.apache.jasper.compiler.SmapInput

-     public class SmapInput
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SmapInput​(java.lang.String fileName, int lineNumber)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFileName()` |
    `int` | `getLineNumber()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmapInput

          public SmapInput​(java.lang.String fileName,
                           int lineNumber)

  - ### Method Detail

    - #### getFileName

          public java.lang.String getFileName()

    - #### getLineNumber

          public int getLineNumber()